function setup()
	room.stackable = 0
	room.visible = 1
	
	room.addActor()
	actor.setpiece = 1
	actor.setEffectIcon("jupiter.png")
	actor.randomizePlacement = 0
	actor.x = -6
	actor.y = 23
	actor.scale = .3
	actor.dist = 2
	
	room.addActor()
	actor.setpiece = 1
	actor.setEffectIcon("saturn.png")
	actor.randomizePlacement = 0
	actor.x = 10
	actor.y = 32
	actor.scale = .8
	actor.dist = 1.5

	room.addActor()
	actor.setpiece = 1
	actor.setEffectIcon("mars1.png")
	actor.randomizePlacement = 0
	actor.x = 0
	actor.y = 0
	actor.scale = .2
	
	room.addActor()
	actor.setpiece = 1
	actor.setEffectIcon("moon.png")
	actor.randomizePlacement = 0
	actor.x = 0
	actor.y = 0
	actor.scale = .1
	actor.behavior = "orbit"
	
	room.addActor()
	actor.addTerrain("backdrop_ruinedplanet")
	
	--needs to happen before adding mobs apparently?
	actor.addEvent("battlescript_bossbattle", 0)
	
	room.setWave(1)
	--room.addActor("actor_artillery.lua")
	--room.addActor("actor_artillery.lua")
	room.addActor("actor_interceptor.lua")
	room.addActor("actor_interceptor.lua")
	
	room.addActor()
	--actor.addEvent("music_bosstheme_demo3.ogg", 0)
	actor.nodeName = "EX-EARTH : VILE NEMESIS PLANET DESTROYER"
	actor.displayName = "AXEL"
	actor.setIcon("iconmobboss3.png")
	actor.addEvent("battlescript_bossbattle", 0)
	
	actor.addEvent("boss_axel", 0)
	if game.hardcore == 0 then actor.addWave("axel", 1, room.wave) else actor.addWave("axel", 1, room.wave, "hardcore") end
	--actor.addWave("axel", 1, room.wave)
	--wave.spawnmode = 2--don't warp in, just appear
	
	--actor.addEvent("boss_aspoke", 0)
	actor.addWave("aspoke", 8, room.wave)
	--wave.spawnmode = 2--don't warp in, just appear
	
	--actor.addEvent("music_bosstheme.ogg", 0)
	
	A = generator.getMobGroup("A")
	B = generator.getMobGroup("B")
	C = generator.getMobGroup("C")
	
	if generator.hardcore == 1 then
		room.setWave(2)
		room.addActor(B)
		room.addActor(A)
		room.setWave(3)
		room.addActor(C)
		room.addActor(A)
	end
	
	--full heal at conclusion of fight
	--room.addActor("fullheal.lua")
	if generator.hardcore == 1 then room.addActor("extralife.lua") end
	--if game.hardcore == 0 then room.addActor("extralife.lua") end
end